Description

3/12/18: Matt email Judith Botha judith.botha@sanparks.org

So we're wondering about your Metacat deployment for SANParks and your DataONE member node. It hasn't been responding

to our harvest requests for a long time.  Maybe its behind a firewall now?  Is it still running?  I lost track of the contractor you

were using a while back.  Are you still adding data to the Metacat instance?  And have you upgraded it lately to keep up with the

security patches for Metacat?  Do you need assistance with any of that? Or with configuring it to respond properly to DataONE

so the content is synced?

in near future we'll be deprecating Morpho in favor of the web-based form.  So, if you are still using Morpho, we should talk

over future paths.

History

#1 - 2018-03-13 13:00 - Amy Forrester

From Judith:

Im not sure why the data is not syncing as don’t think anything has changed but it will be great if you can get someone to assist me to find out whats

going on and do the patches etc.

Were still using the server as it was setup and using Morpho to create the metadata. It will be great to have the internet based tool instead of

Morpho will definitely use that

I also needs some help in changing the webpage as some of our parks have merged and want to change some of the names so will be good if I

can get help with that as well. [NOT DataONE issue]

perhaps we could think of swopping the server to windows not sure how feasible that will be?

Im really hectically busy the next 2 weeks so perhaps we can try and get these changes made after that (~April 2)

#2 - 2018-03-14 15:15 - Amy Forrester

3/13/18: Notes from Jing

We haven't run Metacat on Windows for a long time. But those Metacat dependencies - Postgres, Java VM and Tomcat, all have a windows

version. I don't see there is a big problem there. The issues such as connecting the web server and tomcat, passing certificates from the web

server to tomcat, and encoding slashes in the url on the web server may need some twist. The worst case may be we have to run tomcat alone

without a web server.
#3 - 2018-04-10 14:08 - Amy Forrester

Meeting scheduled for April 25 with Matt, Jing, Judith  -- cancelled--

#4 - 2018-05-09 15:58 - Amy Forrester

meeting May 9 -  going to try to help get their node reconnected to DataONE by upgrading it. and, critically, get a backup done.

#5 - 2018-08-08 21:06 - Amy Forrester

8/8/18:  Jing email Judith

Dave and I tried to make the ssl connection to SANPARKS work. However, it turned out the openssl and apache is pretty old there and it doesn't

work. And also it is still Ubuntu 10.4 and it is not supported any more.

I remember you mentioned you had budget to buy a new machine. Just wondering what is the status of the new machine. The current machine

is pretty old and the hard drive has the risk to fail. So it will be best to have a new machine to replace it and we can install a new OS and migrate

the Metacat data to the new machine.

#6 - 2018-08-10 14:13 - Amy Forrester

8/10/18: response from Judith

the plan is to get a new machine so if either you or Matt could send me the specifications for one then I could start the process. Hopefully next

year we should have inhouse Linux support as well which will make the process much easier

#7 - 2018-09-25 20:08 - Amy Forrester

9/25 check-in

#8 - 2018-10-30 17:08 - Amy Forrester

10/29- Judith query Jing about VM specs

#9 - 2019-04-15 18:09 - Amy Forrester

3/12/19 check-in. still waiting for new machine

new URL: http://dataknp.sanparks.org/sanparks/
